Subject: Re: git svn graft-branches

From: Michael J Gruber <[email-masked]>
Date: Fri, 17 Jul 2009 16:21:57 +0200

Graeme Geldenhuys venit, vidit, dixit 17.07.2009 13:25:
> Hi,
> 
> Looking at the history of a cloned SubVersion repository, I noticed that 
> git does track svn merges between the subversion branches.
> 
> Apparently there was a command to help git detect this merge:
> 
>    git-svn graft-branches
> 
> As documented in the URL below
> 
> http://www.kernel.org/pub/software/scm/git/docs/v1.5.0.7/git-svn.html
> 
> 
> Now I have git version 1.6.3.3.363.g725cf7 but if I run the following, 
> git simply shows the help, and graft-branches doesn't seem to be a 
> command anymore. Was 'graft-branches' removed from Git?
> 
>   $ git svn graft-branches
> 
> Above does not work anymore.

$git log -Sgraft-branches
commit a836a0e1729d1758b4085cd07fc79cb9acb64908
Author: Eric Wong <[email-masked]>
Date:   Wed Feb 14 19:34:56 2007 -0800

    git-svn: documentation updates for new functionality

    Force the showing of the --minimize flag as an option in the
    'migrate' help.

    Also, fix the usage function to correctly filter out
    the deprecated aliases.

    Signed-off-by: Eric Wong <[email-masked]>

commit d05d72e07e49869fe988d4d99e6ac60711570db5
Author: Eric Wong <[email-masked]>
Date:   Mon Jan 15 22:59:26 2007 -0800

    git-svn: remove graft-branches command

    It's becoming a maintenance burden.  I've never found it
    particularly useful myself, nor have I heard much feedback about
    it; so I'm assuming it's just as useless to everyone else.

    Signed-off-by: Eric Wong <[email-masked]>

...